## stevedore 0.9.0

=== DESCRIPTION ===
Package: stevedore
Title: Docker Client
Version: 0.9.0
Description: Work with containers over the Docker API.  Rather than
    using system calls to interact with a docker client, using the
    API directly means that we can receive richer information from
    docker.  The interface in the package is automatically generated
    using the 'OpenAPI' (a.k.a., 'swagger') specification, and all
    return values are checked in order to make them type stable.
License: MIT + file LICENSE
Authors@R: c(person("Rich", "FitzJohn", role = c("aut", "cre"),
    email = "rich.fitzjohn@gmail.com"))
URL: https://github.com/richfitz/stevedore
BugReports: https://github.com/richfitz/stevedore/issues
Imports: crayon, curl (>= 2.3.0), jsonlite, yaml (>= 2.1.18)
Suggests: knitr, openssl, redux, reticulate, rmarkdown, testthat, withr
SystemRequirements: docker
RoxygenNote: 6.1.1
VignetteBuilder: knitr
Encoding: UTF-8
ByteCompile: TRUE
Language: en-GB
NeedsCompilation: no
Packaged: 2018-11-12 08:32:15 UTC; rich
Author: Rich FitzJohn [aut, cre]
Maintainer: Rich FitzJohn <rich.fitzjohn@gmail.com>
Repository: CRAN
Date/Publication: 2018-11-19 18:30:02 UTC

## stevedore 0.4

=== debian/changelog ===
stevedore (0.4-0ubuntu1) quantal; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 02 Oct 2012 09:41:52 -0500

=== debian/control ===
Source: stevedore
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-setuptools, python-all (>= 2.6.6-3~)
Standards-Version: 3.9.3
#Vcs-Git: git://git.debian.org/collab-maint/stevedore.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/stevedore.git;a=summary

Package: python-stevedore
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: manage dynamic plugins for Python applications
 Python module to manage dynamic plugins for Python applications

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/s/stevedore/stevedore-(.*)\.tar.gz

## stevedore 0.8

=== debian/changelog ===
stevedore (0.8-2~cloud0) precise-grizzly; urgency=low

  * New update for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Feb 2013 09:10:15 +0000

stevedore (0.8-2) unstable; urgency=low

  * Add missing build-dependencies (Closes: #699195)

 -- Julien Danjou <acid@debian.org>  Wed, 30 Jan 2013 22:37:30 +0100

stevedore (0.8-1) unstable; urgency=low

  * New upstrem release

 -- Julien Danjou <acid@debian.org>  Mon, 07 Jan 2013 15:50:42 +0100

stevedore (0.7.1-1) unstable; urgency=low

  * New upstream realase
  * Run tests on build

 -- Julien Danjou <acid@debian.org>  Mon, 17 Dec 2012 11:35:32 +0100

stevedore (0.7-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Tue, 27 Nov 2012 11:42:08 +0100

stevedore (0.6-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Mon, 26 Nov 2012 11:02:54 +0100

stevedore (0.4-1) unstable; urgency=low

  * Initial release (Closes: #687934)

 -- Julien Danjou <acid@debian.org>  Wed, 10 Oct 2012 14:51:42 +0200

=== debian/control ===
Source: stevedore
Section: python
Priority: extra
Maintainer: Julien Danjou <acid@debian.org>
Build-Depends: debhelper (>= 8.0.0), python | python-all | python-dev | python-all-dev, python-nose, python-mock, python-setuptools
Standards-Version: 3.9.3
Homepage: https://github.com/dreamhost/stevedore
Vcs-Git: git://git.debian.org/collab-maint/stevedore.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/stevedore.git;a=summary

Package: python-stevedore
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: manage dynamic plugins for Python applications
 This package allow a Python application to load and manage a set of dynamic
 plugins.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with=python2

override_dh_auto_test:
	PYTHONPATH=. nosetests -d stevedore

override_dh_clean:
	dh_clean
	rm -rf stevedore.egg-info

## stevedore 0.9.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: stevedore
 Title: Docker Client
-Version: 0.9.0
+Version: 0.9.1
 Description: Work with containers over the Docker API.  Rather than
     using system calls to interact with a docker client, using the
     API directly means that we can receive richer information from
@@ -21,8 +21,8 @@
 ByteCompile: TRUE
 Language: en-GB
 NeedsCompilation: no
-Packaged: 2018-11-12 08:32:15 UTC; rich
+Packaged: 2019-01-02 08:33:39 UTC; rich
 Author: Rich FitzJohn [aut, cre]
 Maintainer: Rich FitzJohn <rich.fitzjohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-11-19 18:30:02 UTC
+Date/Publication: 2019-01-02 11:00:02 UTC

## stevedore 0.9.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: stevedore
 Title: Docker Client
-Version: 0.9.1
+Version: 0.9.3
 Description: Work with containers over the Docker API.  Rather than
     using system calls to interact with a docker client, using the
     API directly means that we can receive richer information from
@@ -15,14 +15,14 @@
 Imports: crayon, curl (>= 2.3.0), jsonlite, yaml (>= 2.1.18)
 Suggests: knitr, openssl, redux, reticulate, rmarkdown, testthat, withr
 SystemRequirements: docker
-RoxygenNote: 6.1.1
+RoxygenNote: 7.0.0
 VignetteBuilder: knitr
 Encoding: UTF-8
 ByteCompile: TRUE
 Language: en-GB
 NeedsCompilation: no
-Packaged: 2019-01-02 08:33:39 UTC; rich
+Packaged: 2020-01-12 10:30:58 UTC; rich
 Author: Rich FitzJohn [aut, cre]
 Maintainer: Rich FitzJohn <rich.fitzjohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-01-02 11:00:02 UTC
+Date/Publication: 2020-01-12 11:20:02 UTC

## stevedore 0.9.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: stevedore
 Title: Docker Client
-Version: 0.9.3
+Version: 0.9.4
 Description: Work with containers over the Docker API.  Rather than
     using system calls to interact with a docker client, using the
     API directly means that we can receive richer information from
@@ -15,14 +15,14 @@
 Imports: crayon, curl (>= 2.3.0), jsonlite, yaml (>= 2.1.18)
 Suggests: knitr, openssl, redux, reticulate, rmarkdown, testthat, withr
 SystemRequirements: docker
-RoxygenNote: 7.0.0
+RoxygenNote: 7.1.2
 VignetteBuilder: knitr
 Encoding: UTF-8
 ByteCompile: TRUE
 Language: en-GB
 NeedsCompilation: no
-Packaged: 2020-01-12 10:30:58 UTC; rich
+Packaged: 2021-10-22 10:33:20 UTC; rfitzjoh
 Author: Rich FitzJohn [aut, cre]
 Maintainer: Rich FitzJohn <rich.fitzjohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-01-12 11:20:02 UTC
+Date/Publication: 2021-10-22 11:10:04 UTC

## stevedore 0.9.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: stevedore
 Title: Docker Client
-Version: 0.9.4
+Version: 0.9.5
 Description: Work with containers over the Docker API.  Rather than
     using system calls to interact with a docker client, using the
     API directly means that we can receive richer information from
@@ -21,8 +21,8 @@
 ByteCompile: TRUE
 Language: en-GB
 NeedsCompilation: no
-Packaged: 2021-10-22 10:33:20 UTC; rfitzjoh
+Packaged: 2022-11-10 14:12:33 UTC; rfitzjoh
 Author: Rich FitzJohn [aut, cre]
 Maintainer: Rich FitzJohn <rich.fitzjohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-10-22 11:10:04 UTC
+Date/Publication: 2022-11-11 07:20:08 UTC

## stevedore 0.9.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: stevedore
 Title: Docker Client
-Version: 0.9.5
+Version: 0.9.6
 Description: Work with containers over the Docker API.  Rather than
     using system calls to interact with a docker client, using the
     API directly means that we can receive richer information from
@@ -21,8 +21,8 @@
 ByteCompile: TRUE
 Language: en-GB
 NeedsCompilation: no
-Packaged: 2022-11-10 14:12:33 UTC; rfitzjoh
+Packaged: 2023-07-10 09:47:03 UTC; rfitzjoh
 Author: Rich FitzJohn [aut, cre]
 Maintainer: Rich FitzJohn <rich.fitzjohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-11-11 07:20:08 UTC
+Date/Publication: 2023-07-10 20:10:02 UTC

## stevedore 0.10

=== debian/changelog ===
stevedore (0.10-2) unstable; urgency=low

  * Removed pkg-openstack as maintainer uppon request form Julien.
  * Switched to debhelper 9.
  * Added python3 support, thanks to patch from James Patch (Closes: #719223).
  * Cannonical VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Aug 2013 23:24:49 +0200

stevedore (0.10-1) unstable; urgency=low

  * New upstream release.
  * Stevedore now maintained by pkg-openstack team.
  * Now using openstack-pkg-tools.
  * Added debian/gbp.conf.
  * Added Pre-Depends: dpkg (>= 1.15.6~) because of xz compression.
  * Rewrote long description.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2013 22:09:59 +0800

stevedore (0.9.1-1) unstable; urgency=low

  * New upstream release
  * Bump standard version

 -- Julien Danjou <acid@debian.org>  Wed, 19 Jun 2013 10:46:37 +0200

stevedore (0.8-3) unstable; urgency=low

  * Using python (>= 2.6.6-3~) in build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Feb 2013 03:01:37 +0800

=== debian/control ===
Source: stevedore
Section: python
Priority: extra
Maintainer: Julien Danjou <acid@debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
 openstack-pkg-tools,
 python (>= 2.6.6-3~),
 python-mock,
 python-nose,
 python-setuptools,
 python3-all (>= 3.1.2-7~),
 python3-mock,
 python3-nose,
 python3-setuptools
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/collab-maint/stevedore.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/stevedore.git
Homepage: https://github.com/dreamhost/stevedore

Package: python-stevedore
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: manage dynamic plugins for Python applications - python2
 Python makes loading code dynamically easy, allowing you to configure and
 extend your application by discovering and loading extensions (plugins) at
 runtime. Many applications implement their own library for doing this, using
 __import__ or importlib. stevedore avoids creating yet another extension
 mechanism by building on top of setuptools entry points. The code for managing
 entry points tends to be repetitive, though, so stevedore provides manager
 classes for implementing common patterns for using dynamically loaded
 extensions.
 .
 This package provides the Python 2.x module.

Package: python3-stevedore
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: manage dynamic plugins for Python applications - python3
 Python makes loading code dynamically easy, allowing you to configure and
 extend your application by discovering and loading extensions (plugins) at
 runtime. Many applications implement their own library for doing this, using
 __import__ or importlib. stevedore avoids creating yet another extension
 mechanism by building on top of setuptools entry points. The code for managing
 entry points tends to be repetitive, though, so stevedore provides manager
 classes for implementing common patterns for using dynamically loaded
 extensions.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/dreamhost/stevedore.git

include /usr/share/openstack-pkg-tools/pkgos.make

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

%:
	dh $@ --with=python2,python3

override_dh_auto_build:
	set -e && for pyvers in $(PYTHON2); do \
		python$$pyvers setup.py build; \
	done
	set -e && for pyvers in $(PYTHON3); do \
		python$$pyvers setup.py build; \
	done

override_dh_auto_install:
	set -e && for pyvers in $(PYTHON2); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-stevedore; \
	done
	set -e && for pyvers in $(PYTHON3); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-stevedore; \
	done

override_dh_auto_clean:
	set -e && for pyvers in $(PYTHON2); do \
		python$$pyvers setup.py clean; \
	done
	set -e && for pyvers in $(PYTHON3); do \
		python$$pyvers setup.py clean; \
	done

override_dh_auto_test:
	PYTHONPATH=. nosetests -d stevedore
	PYTHONPATH=. nosetests3 -d stevedore

override_dh_clean:
	dh_clean
	rm -rf stevedore.egg-info

=== debian/watch ===
version=3
http://pypi.python.org/pypi/stevedore stevedore-(.*)\.tar\.gz

## stevedore 0.14.1

=== docs/requirements.txt ===
Pillow
Sphinx

=== debian/changelog ===
stevedore (0.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Added a sphinxdoc package, and generates the sphinx documentation in html.
  * Added debian/source/options to ignore the egg-info changes, and removed the
    deletion of it.
  * Do nosetests for all python versions.
  * Canonical VCS fields.
  * Standards-Version: is now 3.9.5.
  * Fixed new upstream VCS URLs in d/control,copyright & rules.

 -- Thomas Goirand <zigo@debian.org>  Sun, 09 Feb 2014 11:53:49 +0800

stevedore (0.13-1) unstable; urgency=low

  * New upstream release:
    - d/control: Add new BD's on python-pbr/python3-pbr.
    - d/rules: Configure OSLO_PACKAGE_VERSION=$(VERSION).
  * d/watch: Track upstream releases on pypi correctly.

 -- James Page <james.page@ubuntu.com>  Wed, 04 Dec 2013 11:45:32 +0000

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,22 @@
 Maintainer: Julien Danjou <acid@debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 9),
- openstack-pkg-tools,
- python (>= 2.6.6-3~),
- python-mock,
- python-nose,
- python-setuptools,
- python3-all (>= 3.1.2-7~),
- python3-mock,
- python3-nose,
- python3-setuptools
-Standards-Version: 3.9.4
+               openstack-pkg-tools,
+               python (>= 2.6.6-3~),
+               python-mock,
+               python-nose,
+               python-pbr (>= 0.5.21),
+               python-setuptools,
+               python-sphinx,
+               python3-all (>= 3.1.2-7~),
+               python3-mock,
+               python3-nose,
+               python3-pbr (>= 0.5.21),
+               python3-setuptools
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/stevedore.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/stevedore.git
-Homepage: https://github.com/dreamhost/stevedore
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/stevedore.git;a=summary
+Homepage: https://github.com/openstack/stevedore
 
 Package: python-stevedore
 Architecture: all
@@ -49,3 +52,20 @@
  extensions.
  .
  This package provides the Python 3.x module.
+
+Package: python-stevedore-doc
+Section: doc
+Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Description: manage dynamic plugins for Python applications - doc
+ Python makes loading code dynamically easy, allowing you to configure and
+ extend your application by discovering and loading extensions (plugins) at
+ runtime. Many applications implement their own library for doing this, using
+ __import__ or importlib. stevedore avoids creating yet another extension
+ mechanism by building on top of setuptools entry points. The code for managing
+ entry points tends to be repetitive, though, so stevedore provides manager
+ classes for implementing common patterns for using dynamically loaded
+ extensions.
+ .
+ This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,16 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT = git://github.com/dreamhost/stevedore.git
+UPSTREAM_GIT = git://github.com/openstack/stevedore.git
 
 include /usr/share/openstack-pkg-tools/pkgos.make
+
+export OSLO_PACKAGE_VERSION=$(VERSION)
 
 PYTHON2=$(shell pyversions -vr)
 PYTHON3=$(shell py3versions -vr)
 
 %:
-	dh $@ --with=python2,python3
+	dh $@ --with=python2,python3,sphinxdoc
 
 override_dh_auto_build:
 	set -e && for pyvers in $(PYTHON2); do \
@@ -37,9 +39,15 @@
 	done
 
 override_dh_auto_test:
-	PYTHONPATH=. nosetests -d stevedore
-	PYTHONPATH=. nosetests3 -d stevedore
+	set -e && for pyvers in $(PYTHON2); do \
+		PYTHONPATH=. PYTHON=python$$pyvers nosetests -d stevedore ; \
+	done
+	set -e && for pyvers in $(PYTHON3); do \
+		PYTHONPATH=. PYTHON=python$$pyvers nosetests3 -d stevedore ; \
+	done
 
-override_dh_clean:
-	dh_clean
-	rm -rf stevedore.egg-info
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
+	sphinx-build -b html docs/source $(CURDIR)/debian/python-stevedore-doc/usr/share/doc/python-stevedore-doc/html
+	dh_sphinxdoc -O--buildsystem=python_distutils
+endif

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/s/stevedore/stevedore-(.*)\.tar\.gz

## stevedore 1.0.0.0

=== requirements.txt ===
argparse
six>=1.7.0

=== debian/changelog ===
stevedore (1.0.0.0-0ubuntu1) utopic; urgency=medium

  * New upstream final release (1.0.0 uploaded as 1.0.0.0 to deal with
    upstream pre-release version numbering), resolving internal version
    detection issues in glance package.

 -- James Page <james.page@ubuntu.com>  Wed, 01 Oct 2014 12:23:56 +0100

stevedore (1.0.0.0~a2-0ubuntu3) utopic; urgency=medium

  * debian/pydist-overrides: Don install argparse for python2 either. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 11 Sep 2014 11:01:44 -0400

stevedore (1.0.0.0~a2-0ubuntu2) utopic; urgency=medium

  * debian/py3dist-overrides: Dont install argparse for python3. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 11 Sep 2014 10:35:55 -0400

stevedore (1.0.0.0~a2-0ubuntu1) utopic; urgency=medium

  * New upstream version. 
  * debian/control: Add python/python3-six dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 10 Sep 2014 10:33:57 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: stevedore
 Section: python
 Priority: extra
-Maintainer: Julien Danjou <acid@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Julien Danjou <acid@debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 9),
                openstack-pkg-tools,
@@ -11,6 +12,8 @@
                python-pbr (>= 0.5.21),
                python-setuptools,
                python-sphinx,
+               python-six,
+               python3-six,
                python3-all (>= 3.1.2-7~),
                python3-mock,
                python3-nose,

## stevedore 1.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
argparse
six>=1.9.0

=== debian/changelog ===
stevedore (1.3.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2015 23:31:36 +0200

stevedore (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2015 17:35:07 +0100

stevedore (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Added python-pbr as dependency.
  * Switched to testr instead of nose.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Dec 2014 10:53:58 +0800

stevedore (1.0.0-2) experimental; urgency=medium

  * Changed VCS URLs to the openstack group (as per agreement with Julien).
  * Added argparse to debian/py3dist-overrides.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Sat, 18 Oct 2014 15:14:47 +0000

stevedore (1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Sep 2014 12:28:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,41 @@
 Source: stevedore
 Section: python
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Julien Danjou <acid@debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Uploaders: Thomas Goirand <zigo@debian.org>, Julien Danjou <acid@debian.org>
 Build-Depends: debhelper (>= 9),
+               dh-python,
                openstack-pkg-tools,
                python (>= 2.6.6-3~),
-               python-mock,
-               python-nose,
                python-pbr (>= 0.5.21),
                python-setuptools,
                python-sphinx,
-               python-six,
-               python3-six,
                python3-all (>= 3.1.2-7~),
-               python3-mock,
-               python3-nose,
                python3-pbr (>= 0.5.21),
                python3-setuptools
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/collab-maint/stevedore.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/stevedore.git;a=summary
+Build-Depends-Indep: python-coverage,
+                     python-mock,
+                     python-oslosphinx (>= 2.2.0.0),
+                     python-oslotest (>= 1.2.0),
+                     python-pil,
+                     python-six (>= 1.9.0),
+                     python3-mock,
+                     python3-oslotest (>= 1.2.0),
+                     python3-pil,
+                     python3-six (>= 1.9.0),
+                     subunit,
+                     testrepository,
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/openstack/stevedore.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/stevedore.git;a=summary
 Homepage: https://github.com/openstack/stevedore
 
 Package: python-stevedore
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+Depends: python-pbr,
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
 Description: manage dynamic plugins for Python applications - python2
  Python makes loading code dynamically easy, allowing you to configure and
  extend your application by discovering and loading extensions (plugins) at
@@ -42,8 +50,10 @@
 
 Package: python3-stevedore
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: python3-pbr,
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
 Description: manage dynamic plugins for Python applications - python3
  Python makes loading code dynamically easy, allowing you to configure and
  extend your application by discovering and loading extensions (plugins) at
@@ -59,7 +69,6 @@
 Package: python-stevedore-doc
 Section: doc
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: manage dynamic plugins for Python applications - doc
  Python makes loading code dynamically easy, allowing you to configure and

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/openstack/stevedore.git

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

%:
	dh $@ --with=python2,python3,sphinxdoc

override_dh_auto_build:
	set -e ; for pyvers in $(PYTHON2); do \
		python$$pyvers setup.py build; \
	done
	set -e ; for pyvers in $(PYTHON3); do \
		python$$pyvers setup.py build; \
	done

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHON2); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-stevedore; \
	done
	set -e ; for pyvers in $(PYTHON3); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-stevedore; \
	done

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -e ; for i in $(PYTHON2) $(PYTHON3) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-stevedore-doc/usr/share/doc/python-stevedore-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## stevedore 1.5.0

=== requirements.txt ===
--- 
+++ 
@@ -2,6 +2,6 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr>=0.6,!=0.7,<1.0
+pbr>=0.11,<2.0
 argparse
 six>=1.9.0

=== debian/changelog ===
stevedore (1.5.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Nov 2015 10:42:00 +0100

stevedore (1.5.0-2) unstable; urgency=medium

  [ Ivan Udovichenko ]
  * d/control: Add python-pkg-resources as a dependency.
    https://github.com/openstack/stevedore/blob/1.5.0/stevedore/extension.py#L4

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 12:38:43 +0000

stevedore (1.5.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release (Closes: #719965).
    - d/control: Align version requirements with upstream.
    - d/control: Add python3-sphinx to BD's.
    - d/rules: Explicitly configure PYTHONPATH when generating docs.
  * d/watch: Update to use Debian pypi redirector.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Jun 2015 10:24:55 +0100

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,11 @@
                python3-setuptools
 Build-Depends-Indep: python-coverage,
                      python-mock,
-                     python-oslosphinx (>= 2.2.0.0),
-                     python-oslotest (>= 1.2.0),
+                     python-oslosphinx (>= 2.5.0),
+                     python-oslotest (>= 1.5.1),
                      python-pil,
                      python-six (>= 1.9.0),
+                     python3-sphinx,
                      python3-mock,
                      python3-oslotest (>= 1.2.0),
                      python3-pil,
@@ -33,6 +34,7 @@
 Package: python-stevedore
 Architecture: all
 Depends: python-pbr,
+         python-pkg-resources,
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -51,6 +53,7 @@
 Package: python3-stevedore
 Architecture: all
 Depends: python3-pbr,
+         python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

## stevedore 1.12.0

=== requirements.txt ===
--- 
+++ 
@@ -2,6 +2,5 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr>=0.11,<2.0
-argparse
-six>=1.9.0
+pbr>=1.6 # Apache-2.0
+six>=1.9.0 # MIT

=== doc/requirements.txt ===
Pillow==2.4.0 # MIT
sphinx>=1.1.2,<1.2

=== debian/changelog ===
stevedore (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Standards-Version: 3.9.7 (no change).
  * HTTPS VCS URLs.
  * Removed patch to remove argparse from requirements.txt (not needed, as
    upstream removed argparse from it).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 22:42:14 +0000

stevedore (1.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added myself to debian/copyright.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Jan 2016 08:03:30 +0000

stevedore (1.5.0-3) unstable; urgency=medium

  * Added patch to remove argparse from requirements.txt (Closes: #809033).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jan 2016 02:41:22 +0000

=== debian/rules ===
--- 
+++ 
@@ -52,6 +52,6 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b html doc/source $(CURDIR)/debian/python-stevedore-doc/usr/share/doc/python-stevedore-doc/html
+	PYTHONPATH=$(CURDIR) sphinx-build -b html doc/source $(CURDIR)/debian/python-stevedore-doc/usr/share/doc/python-stevedore-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/stevedore/stevedore-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## stevedore 1.16.0

=== debian/changelog ===
stevedore (1.16.0-1+90~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * Fix copyright year in documentation to make build reproducible
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update debian-branch for Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/sphinx_reproducible_build.patch: Dropped, no longer needed.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sat, 03 Sep 2016 08:58:38 +0000

stevedore (1.10.0-2) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Standards-Version: 3.9.7 (no change).
  * HTTPS VCS URLs.
  * Removed patch to remove argparse from requirements.txt (not needed, as
    upstream removed argparse from it).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 22:42:14 +0000

=== debian/control ===
--- 
+++ 
@@ -6,34 +6,34 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
-               python (>= 2.6.6-3~),
-               python-pbr (>= 0.5.21),
+               python-all,
+               python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
-               python3-all (>= 3.1.2-7~),
-               python3-pbr (>= 0.5.21),
+               python3-all,
+               python3-pbr (>= 1.8),
                python3-setuptools
 Build-Depends-Indep: python-coverage,
-                     python-mock,
+                     python-mock (>= 2.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.5.1),
+#                     python-oslotest (>= 1.10.0),
                      python-pil,
                      python-six (>= 1.9.0),
                      python3-sphinx,
-                     python3-mock,
-                     python3-oslotest (>= 1.2.0),
+                     python3-mock (>= 2.0),
+#                     python3-oslotest (>= 1.10.0),
                      python3-pil,
                      python3-six (>= 1.9.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/openstack/stevedore.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/stevedore.git;a=summary
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/openstack/stevedore.git
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/stevedore.git/
 Homepage: https://github.com/openstack/stevedore
 
 Package: python-stevedore
 Architecture: all
-Depends: python-pbr,
+Depends: python-pbr (>= 1.8),
          python-pkg-resources,
          ${misc:Depends},
          ${python:Depends},
@@ -52,7 +52,7 @@
 
 Package: python3-stevedore
 Architecture: all
-Depends: python3-pbr,
+Depends: python3-pbr (>= 1.8),
          python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT = git://github.com/openstack/stevedore.git
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
@@ -36,18 +35,19 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	echo "===> Running tests"
-	set -e ; for i in $(PYTHON2) $(PYTHON3) ; do \
-		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		rm -rf .testrepository ; \
-		testr-python$$PYMAJOR init ; \
-		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-		rm -f $$TEMP_REZ ; \
-		testr-python$$PYMAJOR slowest ; \
-	done
+	echo "Disabled unit tests unit oslotest is available"
+#	echo "===> Running tests"
+#	set -e ; for i in $(PYTHON2) $(PYTHON3) ; do \
+#		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+#		rm -rf .testrepository ; \
+#		testr-python$$PYMAJOR init ; \
+#		TEMP_REZ=`mktemp -t` ; \
+#		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+#		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+#		rm -f $$TEMP_REZ ; \
+#		testr-python$$PYMAJOR slowest ; \
+#	done
 endif
 
 override_dh_sphinxdoc:

## stevedore 1.17.1

=== debian/changelog ===
stevedore (1.17.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 10:30:42 +0200

stevedore (1.17.1-1) experimental; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 25 Aug 2016 09:10:53 +0100

stevedore (1.17.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * Fix copyright year in documentation to make build reproducible
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update debian-branch for Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/sphinx_reproducible_build.patch: Dropped, no longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Aug 2016 10:57:06 +0100

=== debian/control ===
--- 
+++ 
@@ -16,12 +16,12 @@
 Build-Depends-Indep: python-coverage,
                      python-mock (>= 2.0),
                      python-oslosphinx (>= 2.5.0),
-#                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-pil,
                      python-six (>= 1.9.0),
                      python3-sphinx,
                      python3-mock (>= 2.0),
-#                     python3-oslotest (>= 1.10.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-pil,
                      python3-six (>= 1.9.0),
                      subunit,

=== debian/tests/control ===
Depends: python-stevedore
Test-Command: python -c "import stevedore"

Depends: python3-stevedore
Test-Command: python3 -c "import stevedore"

## stevedore 1.20.0

=== requirements.txt ===
--- 
+++ 
@@ -2,5 +2,5 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr>=1.6 # Apache-2.0
+pbr>=1.8 # Apache-2.0
 six>=1.9.0 # MIT

=== debian/changelog ===
stevedore (1:1.20.0-0ubuntu2~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 01 Feb 2017 20:59:30 +0000

stevedore (1:1.20.0-0ubuntu2) zesty; urgency=medium

  * No change. Upload with new ubuntu version.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Feb 2017 15:11:29 -0500

stevedore (1:1.20.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Feb 2017 14:49:16 -0500

stevedore (1:1.19.1-0ubuntu2) zesty; urgency=medium

  * No change. Upload with new ubuntu version.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jan 2017 16:01:57 -0500

stevedore (1:1.19.1-0ubuntu1) zesty; urgency=medium

  * Add epoch and restore 1.19-1 to align with Ocata upper-constraints.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jan 2017 15:25:14 -0500

stevedore (1.20.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Jan 2017 14:06:58 -0500

stevedore (1.19.1-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 15:06:42 -0500

stevedore (1.19.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Dec 2016 08:36:12 -0500

stevedore (1.18.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 20 Oct 2016 13:33:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: stevedore
 Section: python
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>, Julien Danjou <acid@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -13,22 +14,22 @@
                python3-all,
                python3-pbr (>= 1.8),
                python3-setuptools
-Build-Depends-Indep: python-coverage,
+Build-Depends-Indep: python-coverage (>= 4.0),
                      python-mock (>= 2.0),
-                     python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1:1.10.0),
+                     python-oslosphinx (>= 4.7.0),
+                     python-oslotest (>= 1.10.0),
                      python-pil,
                      python-six (>= 1.9.0),
-                     python3-sphinx,
                      python3-mock (>= 2.0),
-                     python3-oslotest (>= 1:1.10.0),
+                     python3-oslotest (>= 1.10.0),
                      python3-pil,
                      python3-six (>= 1.9.0),
+                     python3-sphinx (>= 1.2.1),
                      subunit,
-                     testrepository,
+                     testrepository
 Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/openstack/stevedore.git
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/stevedore.git/
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/stevedore
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/stevedore
 Homepage: https://github.com/openstack/stevedore
 
 Package: python-stevedore

## stevedore 1.25.0

=== debian/changelog ===
stevedore (1:1.25.0-0ubuntu1) artful; urgency=medium

  * d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Aug 2017 16:56:55 -0400

stevedore (1:1.22.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:21:22 +0100

stevedore (1:1.21.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:05:58 +0100

=== debian/control ===
--- 
+++ 
@@ -8,23 +8,22 @@
                dh-python,
                openstack-pkg-tools,
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
                python3-all,
-               python3-pbr (>= 1.8),
+               python3-pbr (>= 2.0.0),
                python3-setuptools
 Build-Depends-Indep: python-coverage (>= 4.0),
                      python-mock (>= 2.0),
-                     python-oslosphinx (>= 4.7.0),
-                     python-oslotest (>= 1.10.0),
+                     python-openstackdocstheme (>= 1.11.0),
                      python-pil,
                      python-six (>= 1.9.0),
                      python3-mock (>= 2.0),
-                     python3-oslotest (>= 1.10.0),
+                     python3-openstackdocstheme (>= 1.11.0),
                      python3-pil,
                      python3-six (>= 1.9.0),
-                     python3-sphinx (>= 1.2.1),
+                     python3-sphinx (>= 1.5.1),
                      subunit,
                      testrepository
 Standards-Version: 3.9.8
@@ -34,7 +33,7 @@
 
 Package: python-stevedore
 Architecture: all
-Depends: python-pbr (>= 1.8),
+Depends: python-pbr (>= 2.0.0),
          python-pkg-resources,
          ${misc:Depends},
          ${python:Depends},
@@ -53,7 +52,7 @@
 
 Package: python3-stevedore
 Architecture: all
-Depends: python3-pbr (>= 1.8),
+Depends: python3-pbr (>= 2.0.0),
          python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends},

## stevedore 1.28.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.17.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx>=1.6.2 # BSD

=== debian/changelog ===
stevedore (1:1.28.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 15:02:27 +0000

stevedore (1:1.27.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Nov 2017 13:38:40 -0500

=== debian/control ===
Source: stevedore
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Julien Danjou <acid@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-coverage (>= 4.0),
 python-mock (>= 2.0.0),
 python-openstackdocstheme (>= 1.17.0),
 python-six (>= 1.10.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.17.0),
 python3-six (>= 1.10.0),
 python3-sphinx (>= 1.5.1),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/stevedore
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/stevedore
Homepage: https://github.com/openstack/stevedore

Package: python-stevedore
Architecture: all
Depends:
 python-pbr (>= 2.0.0),
 python-pkg-resources,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: manage dynamic plugins for Python applications - python2
 Python makes loading code dynamically easy, allowing you to configure and
 extend your application by discovering and loading extensions (plugins) at
 runtime. Many applications implement their own library for doing this, using
 __import__ or importlib. stevedore avoids creating yet another extension
 mechanism by building on top of setuptools entry points. The code for managing
 entry points tends to be repetitive, though, so stevedore provides manager
 classes for implementing common patterns for using dynamically loaded
 extensions.
 .
 This package provides the Python 2.x module.

Package: python-stevedore-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: manage dynamic plugins for Python applications - doc
 Python makes loading code dynamically easy, allowing you to configure and
 extend your application by discovering and loading extensions (plugins) at
 runtime. Many applications implement their own library for doing this, using
 __import__ or importlib. stevedore avoids creating yet another extension
 mechanism by building on top of setuptools entry points. The code for managing
 entry points tends to be repetitive, though, so stevedore provides manager
 classes for implementing common patterns for using dynamically loaded
 extensions.
 .
 This package contains the documentation.

Package: python3-stevedore
Architecture: all
Depends:
 python3-pbr (>= 2.0.0),
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: manage dynamic plugins for Python applications - python3
 Python makes loading code dynamically easy, allowing you to configure and
 extend your application by discovering and loading extensions (plugins) at
 runtime. Many applications implement their own library for doing this, using
 __import__ or importlib. stevedore avoids creating yet another extension
 mechanism by building on top of setuptools entry points. The code for managing
 entry points tends to be repetitive, though, so stevedore provides manager
 classes for implementing common patterns for using dynamically loaded
 extensions.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -35,19 +35,18 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	echo "Disabled unit tests unit oslotest is available"
-#	echo "===> Running tests"
-#	set -e ; for i in $(PYTHON2) $(PYTHON3) ; do \
-#		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-#		rm -rf .testrepository ; \
-#		testr-python$$PYMAJOR init ; \
-#		TEMP_REZ=`mktemp -t` ; \
-#		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
-#		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-#		rm -f $$TEMP_REZ ; \
-#		testr-python$$PYMAJOR slowest ; \
-#	done
+	echo "===> Running tests"
+	set -e ; for i in $(PYTHON2) $(PYTHON3) ; do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+		rm -rf .testrepository ; \
+		testr-python$$PYMAJOR init ; \
+		TEMP_REZ=`mktemp -t` ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+		rm -f $$TEMP_REZ ; \
+		testr-python$$PYMAJOR slowest ; \
+	done
 endif
 
 override_dh_sphinxdoc:
